Manage Isolation Segment For Space
Manage isolation segment
This endpoint assigns an isolation segment to the space. The isolation segment must be entitled to the space’s parent organization.
Apps will not run in the newly assigned isolation segment until they are restarted.
Request
URI
PATCH
https://api.example.local/v3/spaces/{guid}/relationships/isolation_segment
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Request Body
RelationshipToOne
of type(s)
application/json
Optional
{
"data": {
"guid": "string"
}
}
object
data
Optional
data
Responses
200
OK
Returns
RelationshipToOne
of type(s)
application/json
{
"data": {
"guid": "string"
}
}
object
data
Optional
data
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'
On This Page
Spaces Operations
GET
List Spaces
POST
Create Space
GET
Get Space
PATCH
Update Space
DELETE
Delete Space
POST
Apply Manifest To Space
GET
List Space Features
GET
Get Space Feature
PATCH
Update Space Feature
POST
Create Manifest Diff For Space
GET
Get Assigned Isolation Segment For Space
PATCH
Manage Isolation Segment For Space
DELETE
Delete Unmapped Routes For Space
GET
List Running Security Groups For Space
GET
List Staging Security Groups For Space
GET
List Users For Space